Subject: Re: [PATCHv3 0/5] Add git-credential support to git-send-email

From: Michal Nazarewicz <[email-masked]>
Date: Mon, 11 Feb 2013 19:40:07 +0100

On Mon, Feb 11 2013, Jeff King wrote:
> Based on our discussion, I think it would just need the patch below
> squashed into your 4/5 (this handles the "undef" thing, and I also fixed
> a few typos in the API documentation):

> @@ -1152,7 +1155,9 @@ sub credential {
>  	if ('CODE' eq ref $op_or_code) {
>  		_credential_run $credential, 'fill';
>  		my $ret = $op_or_code->($credential);
> -		_credential_run $credential, $ret ? 'approve' : 'reject';
> +		if (defined $ret) {
> +			_credential_run $credential, $ret ? 'approve' : 'reject';
> +		}
>  		return $ret;
>  	} else {
>  		_credential_run $credential, $op_or_code;

Yep, that's what I did as well.  Thanks for spotting the typos,
I actually changed some other wording as well (most notably
CREDENTIAL_HASH -> CREDENTIAL_HASHREF), and also added some unrelated
patch in the middle: <https://github.com/mina86/git/commits/master>.

-- 
Best regards,                                         _     _
.o. | Liege of Serenely Enlightened Majesty of      o' \,=./ `o
..o | Computer Science,  Michał “mina86” Nazarewicz    (o o)
ooo +----<email/xmpp: [email-masked]>--------------ooO--(_)--Ooo--